Package org.bukkit.boss

# Enum Class BarFlag

java.lang.Object
java.lang.Enum<BarFlag>
org.bukkit.boss.BarFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<BarFlag>`, `Constable`

public enum BarFlag extends Enum<BarFlag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE_FOG`
Creates fog around the world.
`DARKEN_SKY`
Darkens the sky like during fighting a wither.
`PLAY_BOSS_MUSIC`
Tells the client to play the Ender Dragon boss music.

## Method Summary

Modifier and Type
Method
Description
`static BarFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DARKEN_SKY

public static final BarFlag DARKEN_SKY
Darkens the sky like during fighting a wither.

### PLAY_BOSS_MUSIC

public static final BarFlag PLAY_BOSS_MUSIC
Tells the client to play the Ender Dragon boss music.

### CREATE_FOG

public static final BarFlag CREATE_FOG
Creates fog around the world.

## Method Details

### values

public static BarFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BarFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null